Daily net staking flow: deposits minus capital and yield withdrawals, in native units.
cURL
curl --request GET \ --url https://api.blockworks.com/v1/metrics/staking-net-flow-native \ --header 'x-api-key: <api-key>'
{ "projectName": [ { "date": "2025-08-10", "value": 123456.789 }, { "date": "2025-08-11", "value": 234567.89 }, { "date": "2025-08-12", "value": 345678.901 } ] }
curl -H "x-api-key: YOUR_API_KEY" \ "https://api.blockworks.com/v1/metrics/staking-net-flow-native?project=ethereum"
{ "ethereum": [ { "date": "2026-04-19", "value": -155120.053584269 }, { "date": "2026-04-18", "value": -124134.29209345403 }, { "date": "2026-04-17", "value": 7931.224788097999 }, { "date": "2026-04-16", "value": 17065.047416179 }, { "date": "2026-04-15", "value": 71486.60723984201 } ] }
Project slug (comma-separated for multiple).
ethereum
"ethereum"
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
OK